package com.laseroptek.raman.data.source.serial

import com.laseroptek.raman.data.model.SerialResult
import kotlinx.coroutines.flow.Flow

interface SerialPortInterface {
    suspend fun open(path: String, speed: Int) : Flow<SerialResult<ByteArray>>
    fun write(data: ByteArray) : SerialResult<String>
    fun close() : SerialResult<String>
    fun getFD() : Int

}